VmwareUnitaryComputerSystem (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.vmware.VmwareUnitaryComputerSystem interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys.vmware
Interface VmwareUnitaryComputerSystem

All Superinterfaces:
  CIMSystem, ComputerSystem, ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, UnitaryComputerSystem

Deprecated. This class is deprecated in CDM v2.7, all instances that use this class should be represented at the sys.ComputerSystem class level. This class will be deleted in the next major version release (CDM v3) of the data model.

    public interface VmwareUnitaryComputerSystem

extends UnitaryComputerSystem

Persistable:
  true
Top Level:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.sys.ComputerSystem
`IBM_COPYRIGHT`

Method Summary
`long` | `getAvailableMemoryForAllVMs()` Deprecated.
`long` | `getCurrentMemoryForAllVMs()` Deprecated.
`long` | `getMaxVMMemorySize()` Deprecated.
`long` | `getServiceConsoleMemorySize()` Deprecated.
`long` | `getSwapMemorySize()` Deprecated.
`boolean` | `hasAvailableMemoryForAllVMs()` Deprecated.
`boolean` | `hasCurrentMemoryForAllVMs()` Deprecated.
`boolean` | `hasMaxVMMemorySize()` Deprecated.
`boolean` | `hasServiceConsoleMemorySize()` Deprecated.
`boolean` | `hasSwapMemorySize()` Deprecated.
`void` | `setAvailableMemoryForAllVMs(long m)` Deprecated.
`void` | `setCurrentMemoryForAllVMs(long m)` Deprecated.
`void` | `setMaxVMMemorySize(long m)` Deprecated.
`void` | `setServiceConsoleMemorySize(long m)` Deprecated.
`void` | `setSwapMemorySize(long m)` Deprecated.

Methods inherited from interface com.collation.platform.model.topology.sys.ComputerSystem
`getArchitecture, getAutoStart, getCdpDeviceId, getChildSystem, getConfigContents, getControllers, getCPU, getCPUCoresEnabled, getCPUCoresInstalled, getCPUDiesEnabled, getCPUDiesInstalled, getCPUSpeed, getCPUType, getDevices, getFCPorts, getFileSystems, getFqdn, getFunctions, getHostSystem, getIpInterfaces, getIsVMIDanLPAR, getL2Interfaces, getManufacturer, getMemory, getMemorySize, getModel, getName, getNumCPUs, getOSInstalled, getOSRunning, getPhysicalPackage, getPrimaryMACAddress, getProcessCapacityUnits, getProcessingCapacity, getProtocolControllers, getROMVersion, getSerialNumber, getSignature, getSiteInfo, getSnmpSystemGroup, getSystemBoardUUID, getSystemId, getType, getVirtual, getVMID, getZReportfiles, hasArchitecture, hasAutoStart, hasCdpDeviceId, hasChildSystem, hasConfigContents, hasControllers, hasCPU, hasCPUCoresEnabled, hasCPUCoresInstalled, hasCPUDiesEnabled, hasCPUDiesInstalled, hasCPUSpeed, hasCPUType, hasDevices, hasFCPorts, hasFileSystems, hasFqdn, hasFunctions, hasHostSystem, hasIpInterfaces, hasIsVMIDanLPAR, hasL2Interfaces, hasManufacturer, hasMemory, hasMemorySize, hasModel, hasName, hasNumCPUs, hasOSInstalled, hasOSRunning, hasPhysicalPackage, hasPrimaryMACAddress, hasProcessCapacityUnits, hasProcessingCapacity, hasProtocolControllers, hasROMVersion, hasSerialNumber, hasSignature, hasSiteInfo, hasSnmpSystemGroup, hasSystemBoardUUID, hasSystemId, hasType, hasVirtual, hasVMID, hasZReportfiles, setArchitecture, setAutoStart, setCdpDeviceId, setChildSystem, setConfigContents, setControllers, setCPU, setCPUCoresEnabled, setCPUCoresInstalled, setCPUDiesEnabled, setCPUDiesInstalled, setCPUSpeed, setCPUType, setDevices, setFCPorts, setFileSystems, setFqdn, setFunctions, setHostSystem, setIpInterfaces, setIsVMIDanLPAR, setL2Interfaces, setManufacturer, setMemory, setMemorySize, setModel, setName, setNumCPUs, setOSInstalled, setOSRunning, setPhysicalPackage, setPrimaryMACAddress, setProcessCapacityUnits, setProcessingCapacity, setProtocolControllers, setROMVersion, setSerialNumber, setSignature, setSiteInfo, setSnmpSystemGroup, setSystemBoardUUID, setSystemId, setType, setVirtual, setVMID, setZReportfiles`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getServiceConsoleMemorySize

    long getServiceConsoleMemorySize()
                                     throws AttributeNotSetException

  Deprecated.
  Returns:
    Total amount of memory allocated for the Service Console in bytes, which is used to determine the number of guest operating systems the host system can handle.
  Throws:
    `AttributeNotSetException`

### setServiceConsoleMemorySize

    void setServiceConsoleMemorySize(long m)

  Deprecated.

### hasServiceConsoleMemorySize

    boolean hasServiceConsoleMemorySize()

  Deprecated.

### getAvailableMemoryForAllVMs

    long getAvailableMemoryForAllVMs()
                                     throws AttributeNotSetException

  Deprecated.
  Returns:
    Total amount of memory available for all virtual machines.
  Throws:
    `AttributeNotSetException`

### setAvailableMemoryForAllVMs

    void setAvailableMemoryForAllVMs(long m)

  Deprecated.

### hasAvailableMemoryForAllVMs

    boolean hasAvailableMemoryForAllVMs()

  Deprecated.

### getCurrentMemoryForAllVMs

    long getCurrentMemoryForAllVMs()
                                   throws AttributeNotSetException

  Deprecated.
  Returns:
    Current memory size for all running virtual machines.
  Throws:
    `AttributeNotSetException`

### setCurrentMemoryForAllVMs

    void setCurrentMemoryForAllVMs(long m)

  Deprecated.

### hasCurrentMemoryForAllVMs

    boolean hasCurrentMemoryForAllVMs()

  Deprecated.

### getSwapMemorySize

    long getSwapMemorySize()
                           throws AttributeNotSetException

  Deprecated.
  Returns:
    Total amount of swap space on the ESX Server.
  Throws:
    `AttributeNotSetException`

### setSwapMemorySize

    void setSwapMemorySize(long m)

  Deprecated.

### hasSwapMemorySize

    boolean hasSwapMemorySize()

  Deprecated.

### getMaxVMMemorySize

    long getMaxVMMemorySize()
                            throws AttributeNotSetException

  Deprecated.
  Returns:
    Memory of largest virtual machine that can be powered on.
  Throws:
    `AttributeNotSetException`

### setMaxVMMemorySize

    void setMaxVMMemorySize(long m)

  Deprecated.

### hasMaxVMMemorySize

    boolean hasMaxVMMemorySize()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD